#include<bits/stdc++.h>

using namespace std;

long long glasovi[200000],granica[200000],resenje[200000];


int main(){
	long long n,q;
	cin>>n>>q;
	for(int i=0;i<n;i++){
		cin>>glasovi[i];
	}
	sort(glasovi,glasovi+n);
	for(int i=0;i<q;i++){
		cin>>granica[i];
	}
	for(int i=0;i<q;i++){
		if(granica[i]>glasovi[n-1]){
			resenje[i]=n;
		}
		else if(granica[i]<glasovi[0]){
			resenje[i]=n+1;
		}
		else{
			/*int pozicija =*/ cout<<lower_bound(glasovi,glasovi+n,granica[i]);
		}
		break;
	}
	return 0;
}